#!/bin/sh
# script to generate tarball fro upstream git
set -e
giturl='git://git.claws-mail.org/claws.git'
cwd=$(pwd)
tmpdir=$(mktemp -d)
if [ -n "$1" ]
then
    version="$1"
else
    version='master'
fi
cd $tmpdir
git clone "$giturl"
cd claws
git checkout $version
mkdir -p m4
./autogen.sh
make dist
for file in *.tar.xz
do
    if [ -e "$cwd/$file" ]
    then
        echo "File already exists, backing up the old one as $cwd/$file.bak" >&2
        mv -f "$cwd/$file" "$cwd/$file.bak"
    fi
    mv "$file" "$cwd/$file"
    echo "----> $file"
done
cd "$cwd"
rm -Rf "$tmpdir"
